//
//  GWt_softwarePanel.h
//  PSPA
//
//  Created by Garnier Laurent on 30/01/13.
//  Copyright (c) 2013 Garnier Laurent. All rights reserved.
//

#ifndef GWt_softwarePanel_SEEN
#define GWt_softwarePanel_SEEN

#include <iostream>
#include <Wt/WContainerWidget>
#include <Wt/WPushButton>
#include "dataManager.h"

using namespace Wt;
using namespace std;

class PspaApplication;
class GWt_machine;

class GWt_softwarePanel  : public WContainerWidget
{
 public :
  
  GWt_softwarePanel(dataManager*, GWt_machine*);
  virtual ~GWt_softwarePanel();

  /**
   Read all sectionToExecute from the controler and build a newsoftware panel with it
   */
    void displayFromControler();
  //  void updateSections();
    
 private :
 
  //  bool updateSectionSelection();
    void addComputingBlock(computingBlock* cpbl);
    //    void deleteComputingBlock(int section);
    void deleteComputingBlock(computingBlock* cpbl);
  //  string getSelection();
    void fillComboWithElements(Wt::WComboBox* cBox);

  /** Fill a ComboBox with the software list
   By default, will setup the default text to the last software
   */
  void fillComboWithSoftwares(Wt::WComboBox* cBox, std::string );
  //  Wt::WContainerWidget* createAddDeletePushButtons(int sectionIndex);
  Wt::WContainerWidget* createAddDeletePushButtons(computingBlock* cpbl);

  dataManager* dtmanage_;
   WContainerWidget* contenuSections_;
  GWt_machine* UImachine_;
};
#endif /* defined(__PSPA__GWt_softwarePanel__) */
